package com.kingdee.eas.custom.performancenew;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PersonRelationOrgCollection extends AbstractObjectCollection 
{
    public PersonRelationOrgCollection()
    {
        super(PersonRelationOrgInfo.class);
    }
    public boolean add(PersonRelationOrgInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PersonRelationOrgCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PersonRelationOrgInfo item)
    {
        return removeObject(item);
    }
    public PersonRelationOrgInfo get(int index)
    {
        return(PersonRelationOrgInfo)getObject(index);
    }
    public PersonRelationOrgInfo get(Object key)
    {
        return(PersonRelationOrgInfo)getObject(key);
    }
    public void set(int index, PersonRelationOrgInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PersonRelationOrgInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PersonRelationOrgInfo item)
    {
        return super.indexOf(item);
    }
}